var PushManager = {
    ready: false
};

PushManager.init = function() {
    if (!window.cordova || !window.PushNotification) return;
    var push = PushNotification.init({
        android: {
            senderID: "338874086077",
            icon: "notification_icon",
            iconColor: "#254200"
        },
        ios: {
            alert: true,
            badge: true,
            sound: true
        }
    });

    push.on('registration', function (data) {
        if (data && data.registrationId && window.PortalService) {
            PortalService.setMobileEnvironment(
                (navigator.userAgent.toLowerCase().indexOf('android') >= 0) ? "Android" : "IOS",
                data.registrationId
            );
            PushManager.ready = true;
            console.log("PUSH INIT " + PortalService.mobilePlatform + ":" + PortalService.mobileToken);
        }
    });

    push.on('notification', function (data) {
        if (data && ~~data.count) {
            var fn = function () {};
            push.setApplicationIconBadgeNumber(fn, fn, ~~data.count);
        }
    });
};