function XYZ(x, y, z, u)
{
	this.__CLS__ = "game.model.XYZ";
	
	this.x = x ? x : 0;
	this.y = y ? y : 0;
	this.z = z ? z : 0;
	this.u = !!u;
}

extendClass(XYZ.prototype, XY.prototype);

XYZ.prototype.__CLS__ = 'game.model.XYZ';
$.extend(XYZ.prototype,
{
	toString : function()
	{
		return I18.f(this.u ? "FIELD_LOCATION_FORMAT_UNDERGROUND" : "FIELD_LOCATION_FORMAT", this.x + 1, this.y + 1, this.z + 1);
	},

	getXY : function()
	{
		return {x : this.x,	y : this.y, u: this.u};
	},

	equals : function(o)
	{
		if (!superMethod(XYZ, "equals", this)(o))
		{
			return false;
		}
		if (o == null)
		{
			return false;
		}
		return this.z == o.z;
	},
	otherPlane : function()
	{
		return new XYZ(this.x, this.y, this.z, !this.u);
	},

	groundPlane : function()
	{
		return new XYZ(this.x, this.y, this.z, false);
	},

}); 