function TreasureMap() {
	this.__defineGetter__('value', this.getValue);
	this.__defineSetter__('value', this.setValue);
    this._value = 0
}

TreasureMap.prototype.__construct = function() {
    this.value = 0
};

TreasureMap.create = function(value) {
    var map = COM.create('TreasureMap');
    map.value = value;
    return map;
};

TreasureMap.prototype.getValue = function() {
    return this.value;
};

TreasureMap.prototype.setValue = function(data) {
    this._value = data;
    this.map11.src = this.graffitiIcon(data % 16);
    this.map12.src = this.graffitiIcon(Math.trunc(data / 16) % 16);
    this.map13.src = this.graffitiIcon(Math.trunc(data / 256) % 16);
    this.map21.src = this.graffitiIcon(Math.trunc(data / 4096) % 16);
    this.map22.src = this.graffitiIcon(Math.trunc(data / 65536) % 16);
    this.map23.src = this.graffitiIcon(Math.trunc(data / 1048576) % 16);
    this.map31.src = this.graffitiIcon(Math.trunc(data / 16777216) % 16);
    this.map32.src = this.graffitiIcon(Math.trunc(data / 268435456) % 16);
    this.map33.src = this.graffitiIcon(Math.trunc(data / 4294967296) % 16);
    var pos = Math.trunc(data / 68719476736) % 16;
    if (pos != 0) {
        [map11, map12, map13, map21, map22, map23, map31, map32, map33][pos - 1].styleName = "treasureMapIconSelected";
    }
};

TreasureMap.prototype.graffitiIcon = function(graffiti) {
    return STATIC_INTERFACE_URL + (graffiti > 0 ? KingdomAssets.ALL_RUNES[(graffiti - 1) % KingdomAssets.ALL_RUNES.length] : CommonAssets.STATUS_UNKNOWN);
};
