
function MissionDigView()
{
	callParentConstructor(MissionDigView.prototype, this);
}

extendClass(MissionDigView.prototype, SystemMessageView.prototype);

MissionDigView.prototype.getSubject = function()
{
    return this._message.result.equals(MissionResult.SUCCESS) ?
           I18.f("SYSTEM_MESSAGE_SUBJECT_DIG_SUCCESS", this._message.toFieldXYZ) : I18.f("SYSTEM_MESSAGE_SUBJECT_DIG_FAIL", this._message.toFieldXYZ);
}

MissionDigView.prototype.getBody = function() {
    return this._message.result.equals(MissionResult.SUCCESS) ?
        I18.f("SYSTEM_MESSAGE_BODY_DIG_SUCCESS", this._message.points) : I18.f("SYSTEM_MESSAGE_BODY_DIG_FAIL");
}

MissionDigView.prototype.getImage = function() {
    if (this._message.heroName != null) {
        return I18.typedValue("hero-face", [this._message.heroFace, this._message.expeditionRace]);
    } else {
        return Assets.getUnitImageFor(this._message.expeditionRace, UnitType.MAGE, 1);
    }
}

MissionDigView.prototype.createChildren = function()
{
    superMethod(MissionDigView.prototype, "createChildren", this)();
    this.addLine(this.getImage(), this.createText(this.getBody() + "\n\n"));
}
