function MandatoryPaymentDialog()
{
    callParentConstructor(MandatoryPaymentDialog.prototype, this);

    this.timer = null;
    this._userCanClose = false;
}

extendClass(MandatoryPaymentDialog.prototype, Dialog.prototype);

MandatoryPaymentDialog.prototype.__construct = function()
{
    this.advisor.src = STATIC_INTERFACE_URL + Assets.getAdvisor(FUser.CURRENT_USER.race);
    COM.bindExclusiveClick(this.logoutButton, Service.goToPortal);
};

MandatoryPaymentDialog.instance = null;
MandatoryPaymentDialog.popup = function()
{
    APP.stopAllTickers();

    if (!MandatoryPaymentDialog.instance)
    {
        MandatoryPaymentDialog.instance = COM.create("MandatoryPaymentDialog");
        MandatoryPaymentDialog.instance.popup();
        COM(MandatoryPaymentDialog.instance.financeInputTab).hideDestinationCombo();

        PortalService.loginFromServer(function(fpc)
        {
            PortalService.getConfig(function(config)
            {
                $.extend(FPortalConfig, config);
                FPortalConfig.load();
                PortalService.account.callMethod("getPaymentAccount", [FUser.CURRENT_USER.username], $.proxy(function (account) {
                    COM(MandatoryPaymentDialog.instance.financeInputTab).update(account, FConfig.SERVER_ID, true);
                }));
            });
        });

        setInterval($.proxy(MandatoryPaymentDialog.instance.tick, MandatoryPaymentDialog.instance), 1000);
        MandatoryPaymentDialog.instance.tick();
    }
};

MandatoryPaymentDialog.prototype.tick = function() {
    Service.user.callMethod('isCurrentUserNeedMandatoryPayment', [], $.proxy(function(v) {
        if (!v) {
            APP.navigate();
        }
    }));
};

