var GAHelper = {

    setTrackingId: function(id) {
        if(!window.ga) {
            console.log("ANALYTICS NOT READY");
            return;
        }

        window.ga.startTrackerWithId(id);
        console.log("GA SET ID = " + id);
    },

    sendEvent: function(category, action, label, value) {
        if(!window.ga) {
            console.log("ANALYTICS NOT READY");
            return;
        }

        console.log("GA SEND EVENT " + [category, action, label, value].join(","));

        window.ga.trackEvent("portal", "enterGame", label, value);
    }

};