function FLoanShark()
{
    this.pearls = 0;
    this.visibleTill = 0;
    this.loanDueAt = 0;
    this.debtVacationEndTick = 0;
}

FLoanShark.prototype.__CLS__ = 'game.model.user.loan.FLoanShark';

FLoanShark.prototype.pearls = 0;
FLoanShark.prototype.visibleTill = 0;
FLoanShark.prototype.loanDueAt = 0;
FLoanShark.prototype.debtVacationEndTick = 0;

FLoanShark.prototype.isVisible = function()
{
    return Tick.now() < this.visibleTill;
}

FLoanShark.prototype.isOwed = function()
{
    return this.loanDueAt != -1;
}

FLoanShark.prototype.canTakeLoan = function()
{
    return this.isVisible() && !this.isAwaitingPayment();
}

FLoanShark.prototype.isAwaitingPayment = function()
{
    return this.isOwed() && Tick.now() < this.loanDueAt;
}